<?php

/* Westgen Sitewide Templating System
   Copyright (C) 2006 Brian Nez, <thedude at bri1 dot com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

   $wg_root/index.php - Configuration file */

// Set this to the full path to the public_html directory - do not add a trailing slash
$wg_phtml = '/home/yourname/public_html';

// Set this to the base domain that will be loaded by the public - do not add a trailing slash or http(s)://
$wg_domain = 'example.com';

// Transfer method, normally http
$wg_transfer = 'http://';
$wg_public = $wg_transfer . $wg_domain;

// Set this to the name of the selected theme
$wg_theme = 'lava';

// The title of your website
$wg_title_site = 'this is the title';

// The first part of the title on your pages
$wg_title_main = 'website';

// The middle part of the title on your pages
$wg_title_middle = ' :: ';

// The filename of the main index page
$wg_index = 'index.php';

// Admin Panel Setup
define("wg_admin_pages", true);
define("wg_admin_files", true);
define("wg_admin_gallery", true);
define("wg_admin_music", true);
define("wg_admin_videos", true);
define("wg_admin_email", true);
define("wg_admin_pass", true);

// Webmail path
$wg_webmailPath = "https://" . $wg_domain . ":2096/horde/index.php";

// You do not need to edit below this line
$wg_identify = 'ThemeX';
$wg_version = 0.90;
$wg_root = $wg_phtml . "/westgen";
$theme_uri = basename($wg_root) . '/' . $wg_theme;
$theme_root = $wg_root . '/' . $wg_theme;
if(!file_exists($theme_root . '/index.php')) {
	die('<b>Fatal error:</b> ' . $wg_identify . ' could not find the path to the currently selected theme (<i>' . $wg_theme . '</i>).'); }
include($theme_root . '/index.php');

?>