<?php

/* Westgen Sitewide Templating System
   Copyright (C) 2006 Brian Nez, <thedude at bri1 dot com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

   $wg_root/$wg_theme/$page_layout/header.php - Theme header file */

// Make sure we are being loaded properly
if($page_layout != 'standard') {
	die($page_layout . ' layout should not load this file!'); }

// Identification tags

echo($theme_doctype . "\n");
echo('<html xmlns="' . $theme_xmlns . '">');

// Generic header start

echo('
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=' . $theme_charset . '" />
	<!-- ' . $theme_name . ' theme copyright ' . $theme_copyright . ' -->
	<!-- ' . $theme_comment . ' -->
');
if($page_title != '') {
	echo('	<title>' . $wg_title_main . $wg_title_middle . $page_title . '</title>'); }
	else {
	echo('	<title>' . $wg_title_main . '</title>'); }
echo('	<link rel="stylesheet" type="text/css" href="' . $wg_public . '/' . $theme_uri . '/' . $theme_css . '" />
</head>');

// Start of body

?>
<body>
